using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(menuName = "Actions/ActivateBarrier")]
public class ActionActivateBarrier : ActionAsset {
	public override void Action(Tile targetTile)
	{
		base.Action(targetTile);

		BarrierTile barrier = targetTile as BarrierTile;
		if(barrier){
			TileManager.Instance.ActivateBarriers();
		}
	}
}
